DCMTK: FGCTExposure Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | List of all members
FGCTExposure Class Reference

Class representing the "CT Exposure" Functional Group Macro. More...

Inheritance diagram for FGCTExposure:

## Classes
class | FGCTExposureItem
| Class representing the "CT Exposure" Functional Group Macro item. More...

## Public Member Functions
| FGCTExposure ()
| Constructor, creates empty functional group.
| FGCTExposure (const FGCTExposure &rhs)
| Copy Constructor, creates deep copy.
virtual | ~FGCTExposure ()
| Virtual destructor.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns shared functional group type.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether the current content of this group is consistent and complete.
virtual OFCondition | read (DcmItem &item)
| Read CT Exposure Sequence from given item.
virtual OFCondition | write (DcmItem &item)
| Writes the content of this class into CT Exposure Sequence (newly created) into given item.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
OFVector< FGCTExposureItem * > | m_Items
| Items of CT Exposure Macro.

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the "CT Exposure" Functional Group Macro.

## Constructor & Destructor Documentation

## ◆ FGCTExposure()

FGCTExposure::FGCTExposure | ( | const FGCTExposure & | rhs | ) |

Copy Constructor, creates deep copy.

Parameters

  rhs | The object to copy from

References FGCTExposure().

## Member Function Documentation

## ◆ check()

virtual OFCondition FGCTExposure::check | ( |  | ) | const
| virtual

Check whether the current content of this group is consistent and complete.

Returns
  EC_Normal, if no errors are found, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGCTExposure::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGCTExposure::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGCTExposure::getSharedType | ( |  | ) | const
| inlinevirtual

Returns shared functional group type.

Returns
  The functional group type (DcmFGTypes::EFGS_BOTH)

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGCTExposure::read | ( | DcmItem & | item | ) |
| virtual

Read CT Exposure Sequence from given item.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ write()

virtual OFCondition FGCTExposure::write | ( | DcmItem & | item | ) |
| virtual

Writes the content of this class into CT Exposure Sequence (newly created) into given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if writing was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgctexposure.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2